org.scalatest.WordSpec

# AfterWord

#### class AfterWord extends AnyRef

Class whose instances are after words, which can be used to reduce text duplication.

If you are repeating a word or phrase at the beginning of each string inside a block, you can "move the word or phrase" out of the block with an after word. You create an after word by passing the repeated word or phrase to the `afterWord` method. Once created, you can place the after word after `when`, a verb (`should`, `must`, or `can`), or `that`. (You can't place one after `in` or `is`, the words that introduce a test.) Here's an example that has after words used in all three places:

    import org.scalatest.WordSpec

    class ScalaTestGUISpec extends WordSpec {

      def theUser = afterWord("the user")
      def display = afterWord("display")
      def is = afterWord("is")

      "The ScalaTest GUI" when theUser {
        "clicks on an event report in the list box" should display {
          "a blue background in the clicked-on row in the list box" in {}
          "the details for the event in the details area" in {}
          "a rerun button" that is {
            "enabled if the clicked-on event is rerunnable" in {}
            "disabled if the clicked-on event is not rerunnable" in {}
          }
        }
      }
    }

Running the previous `WordSpec` in the Scala interpreter would yield:

    scala> (new ScalaTestGUISpec).execute()
    The ScalaTest GUI (when the user clicks on an event report in the list box)
    - should display a blue background in the clicked-on row in the list box
    - should display the details for the event in the details area
    - should display a rerun button that is enabled if the clicked-on event is rerunnable
    - should display a rerun button that is disabled if the clicked-on event is not rerunnable

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. AfterWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new AfterWord (text: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply (f: ⇒ Unit): ResultOfAfterWordApplication

   Supports the use of after words.

   Supports the use of after words.

   This method transforms a block of code into a `ResultOfAfterWordApplication`, which is accepted by `when`, `should`, `must`, `can`, and `that` methods. For more information, see the main documentation for trait `WordSpec`.

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def toString (): String

    Definition Classes
      AnyRef → Any

20. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any